YepAPI
Backlinks

Anchor Text Analysis

Analyze anchor text distribution across backlinks to any domain.

POST/v1/seo/backlinks/anchors
from $0.04/call

Usage

const res = await fetch('https://api.yepapi.com/v1/seo/backlinks/anchors', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ target: 'vercel.com', limit: 50 }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/seo/backlinks/anchors \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"target": "vercel.com", "limit": 50}'

Request Body

ParameterTypeRequiredDescriptionDefault
targetstringYesDomain to analyze anchor text for
limitnumberNoMaximum number of anchors to return100

Response

{
  "ok": true,
  "data": {
    "target": "vercel.com",
    "anchors": [
      {
        "anchor": "",
        "backlinks": 556528,
        "dofollow": 0,
        "firstSeen": "2019-01-16",
        "lastSeen": "",
        "referringDomains": 3809
      },
      {
        "anchor": "Vercel",
        "backlinks": 662041,
        "dofollow": 0,
        "firstSeen": "2020-02-17",
        "lastSeen": "",
        "referringDomains": 13396
      }
    ]
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.targetstringThe domain that was analyzed
data.anchorsarrayList of anchor texts used in backlinks to the target
data.anchors[].anchorstringThe anchor text string (empty string for image or non-text links)
data.anchors[].backlinksnumberTotal number of backlinks using this anchor text
data.anchors[].dofollownumberNumber of dofollow backlinks using this anchor text
data.anchors[].firstSeenstringDate this anchor text was first discovered
data.anchors[].lastSeenstringDate this anchor text was last confirmed (empty if still active)
data.anchors[].referringDomainsnumberNumber of unique domains using this anchor text
Under the Hood

Returns anchor text distribution sorted by backlink count.

On this page